> For the complete documentation index, see [llms.txt](https://docs.kpnthings.com/kpn-things/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kpnthings.com/kpn-things/rsp/help/release-notes.md).

# Release notes

## Version 1.3.0 @ 15 April 2021

#### Added

* Added the ES2.deleteProfile endpoint
* Added the ES2.disableProfile endpoint
* Added the ES2.getEIS endpoint

#### Fixed

* The SOAP envelope namespace for notifications was incorrect. We used the SOAP 1.1 namespace while we send SOAP 1.2 messages. We corrected the namespace to <http://www.w3.org/2003/05/soap-envelope>.
* The callback now always uses a unique MessageID.

## Version 1.2.0

#### Added

* Rate limiting added for Transparent APIs.
* Temporary account lockout implemented when using incorrect usernameToken credentials.

## Version 1.1.0

#### Added

* ES2.enableProfile interface
* ES2.downloadProfile interface

## Version 1.0.0

#### Added

* ES4.enableProfile
* ES4.auditEIS
* ES4.handleProfileEnabledNotification
* ES4.handleProfileDisabledNotification


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.kpnthings.com/kpn-things/rsp/help/release-notes.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
